Category:

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12219

Description

Page Setup menu item must be added in file menu for [[MacOS]] printing correctly

History

#1 - 2009-12-09 05:32 PM - John Tull

I would like to second the call to fix this. As things currently stand in OS X, you have to save a composer project as an image, then go to another program to

print the file. Currently, qgis defaults to the standard letter size (likely based on locale) on OS X and there is no widget to change the paper format, as in the

dialog on linux systems. So on my system, it will go through the render process, but only produce a print file for the first 8.5x11 inches of you print image.

For reference, see:

http://doc.trolltech.com/4.5/qpagesetupdialog.html

#2 - 2010-05-17 10:44 AM - Charles Timko -

Verify this ticket is identical to this ticket -> #2425|

#3 - 2010-05-17 09:42 PM - John Tull

Yes, this ticket and #2425 are the same. I would suggest bringing the description from 2425 over here before closing 2425.

#4 - 2010-05-18 10:56 AM - Charles Timko -

- Status changed from Open to In Progress

"When you try to print from the composer...if the layout paper is bigger than A4

...print result is out of range.

This problem can be fixed by adding an additional menu idem "page setup" in macos version otherwise can't print layouts in plotter...because page setup

doesn't work properly.

In version 0.74 the page setup is working perfectly...because if the composer map paper is different from the printing paper...the "page setup dialog" is

appearing asking you to choose the appropriate page and printer for printing!

Now...in current version 1.4 this feature is not present...why???" ~ #2425

Patch ready for this as well.
http://doc.trolltech.com/4.5/qpagesetupdialog.html
https://trac.osgeo.org/qgis/ticket/2425


#5 - 2010-05-18 12:18 PM - John Tull

I confirmed the patch worked on my trunk build. Good work!

#6 - 2010-05-18 01:09 PM - Jürgen Fischer

- Status changed from In Progress to Open

#7 - 2010-05-21 06:30 AM - Marco Hugentobler

The patch looks good. I didn't realize there is a problem with the page dialog on [[MacOS]].

I have only two minor comments:

- The deletes are missing (or creat objects on the stack)

- Is it intentional that the page setup dialog is modeless (show() instead of exec() ) ?. Because now, the user could open a lot of page setup dialogs at the

same time.

Regards,

Marco

#8 - 2010-05-21 08:11 AM - John Tull

Hi Marco. This patch was assigned to you when submitted, so it was assumed that you knew. Unfortunately, there are numerous others assigned to you

related to print composer, so perhaps a review of what is open is in order.

Regarding the modeless setting, the page setup dialog is exposed as a sheet rather than a separate dialog, so I don't think it is possible to have more than

one at a time. I could not get it to do so anyway. I have noticed an occasional disappearing print dialog, but I do not know if this is in any way related.

#9 - 2010-05-22 02:59 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Applied in commit:63c6950c (SVN r13546) with the mentioned modifications.

Thanks ctimko!

Files
